footer{
  padding: 40px 10px;

  display: flex;
  flex-direction: column;
  justify-content: space-evenly;    
  align-items: center;

  row-gap: 50px;

  background-color: var(--background-secondary-color);
}

#footer-logo{
  width: 50%;
  text-align: center;
}

footer img{
  max-width: 100%;
}

footer h2{
  font-size: 1.2em;
  color: var(--color2);
}

footer ul{
  list-style: none;
}

footer li{
  margin-top: 10px;
}

footer a{
  display: inline-block;
}

footer a:hover{
  transform: scale(1.1);
  color: var(--color1);
}

#whatsapp{
  display: flex;
  align-items: center;
  column-gap: 10px;
}

#whatsapp-logo{
  width: 2.2em;
  height: 2.2em;

  display: flex;
  justify-content: center;
  align-items: center;

  border: 1px solid var(--text-color);
  border-radius: 100%;
}

@media screen and (min-width:481px){
  footer{
    flex-direction: row;
    align-items: start;
    column-gap: 20px;
  }

  #whatsapp{
    margin-top: 50px;
  } 
}

@media screen and (min-width:481px) and (max-width:768px){

  #footer-logo{
    width: 0%;
  }
}

@media screen and (min-width:769px){
  #footer-logo{ 
    max-width: 140px;
  }
}

@media screen and (min-width:1025px) {
  footer h2{
    font-size: 1.3em;   
  }
  
  footer a{
    font-size: 1.1em;
  }   
}